Page MenuHomePhabricator

ULS on does not work consistently when "compact personal bar" beta feature is enabled
Closed, ResolvedPublic

Description

When I click on the ULS widget, nothing happens.

Details

Related Gerrit Patches:

Event Timeline

Denny created this task.Dec 30 2014, 7:32 PM
Denny raised the priority of this task from to Needs Triage.
Denny updated the task description. (Show Details)
Denny added a subscriber: Denny.
aude added a subscriber: aude.Dec 30 2014, 8:29 PM

ULS doesn't work for me when I enable the "compact personal bar" beta feature. When I turn it off, then ULS works again. Also happens on commons (e.g. where ULS is on the top of the page, instead of in the sidebar)

Lydia_Pintscher triaged this task as High priority.Dec 30 2014, 8:49 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher added a subscriber: Amire80.
Aklapper renamed this task from ULS on Wikidata does not work to ULS on Wikidata.org does not work when"compact personal bar" beta feature is enabled.Dec 31 2014, 1:46 PM
Aklapper renamed this task from ULS on Wikidata.org does not work when"compact personal bar" beta feature is enabled to ULS on Wikidata.org does not work when "compact personal bar" beta feature is enabled.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jan 8 2015, 10:40 AM
Lydia_Pintscher added subscribers: Unknown Object (MLST), Quiddity, Jdforrester-WMF and 2 others.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

ULS team: Can you give us an estimate when/if you will work on this? It's pretty bad for Wikidata which heavily relies on ULS.

I just enabled compact personal bar in wikidata.org, and I can see ULS. Can anybody add details about how to reproduce?

OK, I reproduced it.

My impression is that the bug is more on the CPB side. It has its own code for initializing ULS instead of relying on the ULS code to initialize itself. Because of this, the click events on the ULS trigger are never correctly registered, so nothing happens.

Jaredzimmerman-WMF renamed this task from ULS on Wikidata.org does not work when "compact personal bar" beta feature is enabled to ULS on does not consistantly work when "compact personal bar" beta feature is enabled.Jan 14 2015, 7:48 PM

This isn't specific to wikidata, and is most likely related to T66862: Echo flyout does not open on some pages when Compact Personal Bar is enabled. This task is available to work on by anyone, but there is no engineer assigned to it currently.

Jaredzimmerman-WMF lowered the priority of this task from High to Lowest.Jan 14 2015, 7:51 PM

Ok if no-one is going to fix this then we need to disable it until there is someone to work on it. I've filed T86831 for that.

can't users who are having an issue just opt of of the beta feature?

*Jared Zimmerman * \\ Director of User Experience \\ Wikimedia Foundation

M +1 415 609 4043 \\ @Jaredzimmerman http://loo.ms/g0

Everyone who has it enabled can't use ULS to change their language. And they have no way to find out that it is this beta feature that is responsible.

gerritbot added a subscriber: gerritbot.

Change 185116 had a related patch set uploaded (by JanZerebecki):
Beta Features: Disable the Compact Personal Bar feature

https://gerrit.wikimedia.org/r/185116

Patch-For-Review

@Amire80 I am not able to reproduce it either. Could you please share your steps?

Change 185116 merged by jenkins-bot:
Beta Features: Disable the Compact Personal Bar feature

https://gerrit.wikimedia.org/r/185116

@Amire80 I am not able to reproduce it either. Could you please share your steps?

I replied in real life :)

It is easy to reproduce this on Wikidata and Commons with CPB enabled. It doesn't happen on Wikipedia because the element that triggers ULS is in the sidebar and not in the top personal bar.

It is easy to reproduce this on Wikidata and Commons with CPB enabled. It doesn't happen on Wikipedia because the element that triggers ULS is in the sidebar and not in the top personal bar.

And we tried to reproduce the issue on a local wiki and failed. Everything was working fine with the ULS link on the top on my local installation. We figured it might be a race condition.

If anyone has an idea on how we can test/debug this I'd be happy to help.

Amire80 renamed this task from ULS on does not consistantly work when "compact personal bar" beta feature is enabled to ULS on does not work consistently when "compact personal bar" beta feature is enabled.Jan 26 2015, 5:13 PM
Ltrlg added a subscriber: Ltrlg.Jan 27 2015, 8:20 PM
CennoxX added a subscriber: CennoxX.Feb 4 2015, 3:31 PM
Prtksxna removed a subscriber: Prtksxna.Jun 5 2015, 5:35 AM
Amire80 closed this task as Resolved.Feb 14 2016, 12:15 PM
Amire80 claimed this task.
Amire80 added a project: ULS-CompactLinks.

CPB is discontinued, so I'm closing this.

ULS now works with this extension. Ive tried this by adding it in vector.

Amire80 moved this task from Backlog to Upstream on the ULS-CompactLinks board.Nov 3 2017, 8:26 AM